﻿import json

# Importer le contenu d'un fichier json dans la variable python : elevesNSI
with open('elevesNSI.json', 'r') as read_json_data:
    elevesNSI = json.load(read_json_data)

	
# Création d'un serveur Web
# RACINE DU SERVEUR : 127.0.0.1:5000
from flask import Flask, jsonify
app = Flask(__name__)
app.config['JSON_SORT_KEYS'] = False

# Création des services :
# 1er service : afficher la liste des élèves
# accessible à partir de : http://127.0.0.1:5000/api/eleves    (requête GET)
@app.route('/api/eleves', methods=['GET'])
def info_eleves():
    return jsonify(elevesNSI) # Le serveur reverra simplement la structure elevesNSI au format json

# Service : afficher les infos pour 1 élève
# accessible à partir de : http://127.0.0.1:5000/api/eleve/nom    (requête GET)
from flask import abort
@app.route('/api/eleve/<string:nom>', methods=['GET'])
def info_eleve(nom):
    pass
    # 1) rechercher dans la structure elevesNSI les info correspondants à l'élève dont le nom est donné en paramètre
    # 2) faire en sorte que le serveur ne renvoit que ces infos au format json
	
	
# Service : ajouter 1 élève
# accessible à partir de : http://127.0.0.1:5000/api/add    (requête POST avec json intégré)
from flask import request
@app.route('/api/add', methods=['POST'])
def ajout_eleve():
    # request.json correspond au fichier json envoyé par le client à notre serveur
    # s'il n'y a pas de fichier json envoyé, le serveur répondra par le message d'erreur 400
    if not request.json:
        abort(400)
    pass
    # si on se retrouve ici, le serveur à bien reçu un json via la requête POST
    # il devra donc :
    # 1) ajouter ce json à la liste d'élèves de la structure elevesNSI
    # 2) incrémenter le champ nombre de la structure elevesNSI
    # 3) mémoriser la structure elevesNSI dans notre fichier elevesNSI.json
    # 4) renvoyer elevesNSI au format json pour que le client vérifie que ça s'est bien passé  

if __name__ == '__main__':
    app.run(debug=True)

