import requests
import matplotlib.pyplot as plt
import matplotlib.animation as animation

def update(num):
    #num est le numéro de l'image, ici, on ne s'en sert pas
    print(f"mise à jour N°{num}")
    #Requête pour récupérer les données
    r = requests.get("http://clenoan.pythonanywhere.com/api/getRS")
    j = r.json()
    #extraction et mise en forme
    nbParticipants = j["NBreponses"]
    nbUtilisateurs = []
    nomsRS = []
    for res, nb in sorted(j["RS"].items(),key=lambda t: t[1],reverse=True):
        nomsRS.append(res)
        nbUtilisateurs.append(nb*100/nbParticipants)
    #nettoyage de la figure
    plt.clf()
    #affichage
    plt.subplots_adjust(bottom=0.30)
    plt.xlabel('Réseaux sociaux')
    plt.ylabel('% des élèves qui utilisent ...')
    plt.title(f"Sondage sur l'utilisation des réseaux sociaux\n{nbParticipants} partipants parmi les élèves de NSI.")
    plt.bar(range(len(nomsRS)), nbUtilisateurs, width = 0.6, color = 'yellow', edgecolor = 'blue', linewidth = 2)
    plt.xticks(range(len(nomsRS)), nomsRS, rotation = 45)


fig = plt.figure()
#une mise à jour par seconde
animation = animation.FuncAnimation(fig, update, interval = 1000)
plt.show()


